import * as monaco from 'monaco-editor';
import { ValidAnnotatedEditOperation } from 'vscode/vscode/vs/editor/common/model';
export declare class LockedCodeError extends Error {
}
export declare function tryIgnoreLockedCodeForOperations(model: monaco.editor.ITextModel, operations: ValidAnnotatedEditOperation[], uneditableRanges: monaco.Range[]): ValidAnnotatedEditOperation[];
export declare function tryIgnoreLockedCode(model: monaco.editor.ITextModel, uneditableRanges: monaco.Range[], editorOperations: ValidAnnotatedEditOperation[]): ValidAnnotatedEditOperation[];
